src/base/cs_ale.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
cs_ale.c File Reference
`#include "cs_defs.h"`
`#include "bft_mem.h"`
`#include "bft_printf.h"`
`#include "cs_interface.h"`
`#include "cs_base.h"`
`#include "cs_mesh.h"`
`#include "cs_mesh_quantities.h"`
`#include "cs_mesh_bad_cells.h"`
`#include "cs_ale.h"`
Include dependency graph for cs_ale.c:

## Functions
void | algrma (void)
void | aldepl (const cs_int_t i_face_cells[], const cs_int_t b_face_cells[], const cs_int_t i_face_vtx_idx[], const cs_int_t i_face_vtx_lst[], const cs_int_t b_face_vtx_idx[], const cs_int_t b_face_vtx_lst[], cs_real_t *uma, cs_real_t *vma, cs_real_t *wma, cs_real_t *coefau, cs_real_t *coefav, cs_real_t *coefaw, cs_real_t *coefbu, cs_real_t *coefbv, cs_real_t *coefbw, cs_real_t *dt, cs_real_t *disp_proj)
void | aledis (const cs_int_t i_face_cells[], const cs_int_t b_face_cells[], const cs_int_t i_face_vtx_idx[], const cs_int_t i_face_vtx_lst[], const cs_int_t b_face_vtx_idx[], const cs_int_t b_face_vtx_lst[], const cs_int_t ialtyb[], const cs_real_t *meshv, const cs_real_33_t gradm[], const cs_real_t *claale, const cs_real_t *clbale, const cs_real_t *dt, cs_real_t *disp_proj)

## Function Documentation

void aldepl | ( | const cs_int_t | i_face_cells[],
|  | const cs_int_t | b_face_cells[],
|  | const cs_int_t | i_face_vtx_idx[],
|  | const cs_int_t | i_face_vtx_lst[],
|  | const cs_int_t | b_face_vtx_idx[],
|  | const cs_int_t | b_face_vtx_lst[],
|  | cs_real_t * | uma,
|  | cs_real_t * | vma,
|  | cs_real_t * | wma,
|  | cs_real_t * | coefau,
|  | cs_real_t * | coefav,
|  | cs_real_t * | coefaw,
|  | cs_real_t * | coefbu,
|  | cs_real_t * | coefbv,
|  | cs_real_t * | coefbw,
|  | cs_real_t * | dt,
|  | cs_real_t * | disp_proj
| ) |  |

void aledis | ( | const cs_int_t | i_face_cells[],
|  | const cs_int_t | b_face_cells[],
|  | const cs_int_t | i_face_vtx_idx[],
|  | const cs_int_t | i_face_vtx_lst[],
|  | const cs_int_t | b_face_vtx_idx[],
|  | const cs_int_t | b_face_vtx_lst[],
|  | const cs_int_t | ialtyb[],
|  | const cs_real_t * | meshv,
|  | const cs_real_33_t | gradm[],
|  | const cs_real_t * | claale,
|  | const cs_real_t * | clbale,
|  | const cs_real_t * | dt,
|  | cs_real_t * | disp_proj
| ) |  |

void algrma | ( | void |  | ) |